object Manual: TManual
  Left = 181
  Top = 164
  Caption = 'Manual'
  ClientHeight = 454
  ClientWidth = 417
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCreate = OnCreateForm
  DesignSize = (
    417
    454)
  PixelsPerInch = 96
  TextHeight = 13
  object titleLabel: TLabel
    Left = 8
    Top = 8
    Width = 132
    Height = 24
    Caption = 'Parametricas4'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clMaroon
    Font.Height = -19
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object NPLabel: TLabel
    Left = 164
    Top = 14
    Width = 207
    Height = 16
    Caption = 'Version 1.0 ,  February 22, 2007'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object Label1: TLabel
    Left = 8
    Top = 68
    Width = 59
    Height = 18
    Caption = 'Manual:'
    Color = clBtnFace
    Font.Charset = ANSI_CHARSET
    Font.Color = clBlack
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentColor = False
    ParentFont = False
  end
  object Label2: TLabel
    Left = 8
    Top = 36
    Width = 215
    Height = 18
    Caption = 'Geometry of surfaces in R^4'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object RichEdit1: TRichEdit
    Left = 8
    Top = 88
    Width = 410
    Height = 365
    Anchors = [akLeft, akTop, akRight, akBottom]
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Courier New'
    Font.Style = []
    HideScrollBars = False
    Lines.Strings = (
      '1. Introduction.'
      ''
      '"Parametricas4" is a workshop for the differential'
      'geometry of surfaces in R^4. Updates and other programs'
      'from the same author can be obtained freely from the'
      'site'
      ''
      '<http://www.uv.es/montesin>'
      ''
      ''
      ''
      'Let  f: U -> R^4  be a smooth map given by'
      ''
      '   f(u,v)= (x(u,v), y(u,v), z(u,v), w(u,v)).'
      ''
      'If  f  is an immersion, it defines a parameterized'
      'surface  S. Assume that   (e, Je) : U -> TS  is'
      'an orthonormal reference of tangent vectors. For'
      'the record, "Parametricas4" uses'
      ''
      '   e = D(f;u)/|D(f;u)|,'
      ''
      'where  D(f;u)  denotes the partial derivative of'
      'f  with respect to u. The vector field   Je   is'
      'simply the result of rotating  e  in the tangent plane'
      'by an angle of 90'#186' in the sense given by the'
      'orientation defined by  f.'
      ''
      'Let   s -> c(s)  be a smooth curve in  S'
      'parameterized by arc length. The normal component of'
      'its acceleration  c"(s) depends only on  c'#39'(s), and'
      'may be written as'
      ''
      '  II(c'#39'(s), c'#39'(s)).'
      ''
      'This defines a symmetric bilinear form on  S, II,'
      'with values in the normal bundle of  S, called the'
      'Second Fundamental Form of  S. The tangent plane'
      'T_pS  with its inner product and the value  II_p'
      'of  II  at  p  encode the geometry of  S  near  p'
      'up to the second order.'
      ''
      'If we consider the unit vectors in  T_pS, that is the'
      'unit S^1  sphere in  T_pS, its image in  N_pS (the normal'
      'subspace to T_pS) by  II_p  is an ellipse. This ellipse'
      'carries all of the information contained in  II_p.'
      ''
      '"Parametricas4"  strives to furnish, easily and in'
      'real time, such information at any point of S. Let us'
      'detail it. Put'
      ''
      '    b_1 = II(e, e),'
      '    b_2 = II(Je, Je),'
      '    b_3 = II(e, Je).'
      ''
      '    H = (b_1 + b_2) / 2,'
      '    B = (b_1 - b_2) / 2,'
      '    C = b_3.'
      ''
      'Then we have that the curvature ellipse at  p  is'
      'the curve'
      ''
      '  t  ->  H_p + B_p cos t + C_p sin t'
      ''
      'Thus all the information in the curvature ellipse at'
      'p  is encoded in  H_p, B_p, C_p. By the way,  H_p'
      'is called the  Mean Curvature Vector  of  S  at  p.'
      ''
      '"Parametricas4" gives information in several manners.'
      'Let us detail now its use.'
      ''
      ''
      ''
      '2. Input of formulas'
      ''
      'In the edit fields of the "Parametricas4" window,'
      'labelled'
      ''
      '"x(u,v)=", "y(u,v)=", "z(u,v)=", "w(u,v)=",'
      ''
      'you must write smooth functions on the variables'
      #39'u'#39', '#39'v'#39'.'
      ''
      'The program is rather forgiving about the input'
      'of equations. That is, it knows about different'
      'spellings of some functions, say "arctan" = "atan".'
      'It does not need the times "*" symbol between'
      'factors nor even a space, except in very rare'
      'cases; however, if you want to feel more secure, put'
      'a space between factors. It recognizes the string'
      '"pi" as 3.1415... but not the Greek letter pi'
      'itself. But it does need that the arguments of'
      'functions be put between parentheses. It requires'
      'that numbers be input as in the following examples:'
      '    7.23'
      '    -5890.3'
      '    28'
      '    0.2345'
      'so that other formats like'
      '    .35'
      '    -0.762E-12'
      '    1,234.54'
      'will not be allowed. The decimal separator must be'
      'the dot. Besides the functions:'
      ''
      'plus (+), minus (-), times (*), divide (/), and'
      'power (a^b or a**b), you can use the following'
      'functions (after an equal sign between parentheses'
      'I have put different spellings that will be'
      'recognized):'
      ''
      '   sqr (square), sqrt (square root), sin (= sen), cos,'
      '   tan (= tg), cot (= cotan = cotg), arcsin (= asin'
      '   = arcsen = asen), arccos (= acos = arcos), arctan'
      '   (= atan = arctg), exp, ln (= log), sinh (= sh),'
      '   cosh (= ch), tanh (= th), arcsinh (= asinh = argsh),'
      '   arccosh (= acosh = argch), arctanh (= atanh ='
      '   argtanh = argth), abs (absolute value).'
      ''
      ''
      ''
      '3. Other input'
      ''
      'You must specify the domain where the functions live.'
      'You have for this an edit field at the left of the label'
      '"< u <" for input of the minimum value of  u, and'
      'other at right for the maximum value; and similar'
      'edit fields for the variable  v. In  these fields'
      'you may use any formula with the syntax described'
      'above, but without any variables nor parameters. For'
      'example you are allowed to put  cos(pi/sqrt(5))  for'
      'the maximum of the variable  u.'
      ''
      ''
      'When you have completed the input, press the button'
      '"Enter" so that "Parametricas4" is told to use that'
      'parameterization.'
      ''
      ''
      ''
      '4. Automatic output'
      ''
      'Some output requires choices of menu items, and some'
      'is automatic. The automatic output is triggered by'
      'simply moving the mouse over the big white square on'
      'the left that represents the domain  U  of  f  given'
      'by the bounds on  u  and  v (we will call it the'
      '"main panel"). As the mouse moves you will see in'
      'the little panel ("data panel") at upper right, the'
      'coordinates  u  and  v  of the point in  U  where'
      'the mouse is currently and some function values at'
      'that point.'
      ''
      'The meaning of the labels attached to those functions'
      'is as follows:'
      ''
      'Maj Axis     Half major axis of the curvature ellipse'
      ''
      'Min Axis     Half minor axis of the curvature ellipse'
      ''
      '|H|          The length of the mean curvature vector'
      ''
      'O depth      The depth of the origin O of  N_pS  in the'
      '             ellipse. If it is negative, the origin is'
      '             out of the ellipse; if zero, it is on the'
      '             ellipse; if positive, it is inside.'
      ''
      'Sin <(H,E)   The absolute value of the sine of the'
      '             angle between  H  and the major axis of'
      '             the ellipse.'
      ''
      'Gauss Curv.  The value of the Gauss curvature (intrinsic'
      '             curvature) of  S  at p.'
      ''
      'Discr Extr Norm Dev'
      '             Below we describe the directions and'
      '             lines of extremal normal or lateral deviation.'
      '             There can be two or four of those'
      '             directions at each point. The discriminant of'
      '             the corresponding equation, when vanishes,'
      '             separates the regions with differente number'
      '             of directions.'
      ''
      'Discr Extr Norm Dev'
      '             See above.'
      ''
      'Discr Str Ppal Dirs'
      '             Below we describe strong principal directions.'
      '             There can be one, three or five of those'
      '             directions at each point. The discriminant of'
      '             the corresponding equation, when vanishes,'
      '             separates the regions with differente number'
      '             of directions.'
      ''
      ''
      'Below those panels, there is a white square, the'
      '"ellipse panel". It represents the normal plane at'
      'the current point signalled by the mouse. On it,'
      '"Parametricas4" will draw the curvature ellipse'
      'and other related things in real time as the'
      'mouse moves on the "main panel":'
      ''
      'First, the mean curvature vector H is drawn as a'
      'horizontal green line. The origin of N_pS is the left'
      'end of that line; its right end is the center of the'
      'ellipse.'
      ''
      'Then, the ellipse itself, drawn in blue.'
      ''
      'Then, a circle drawn in teal color (light greenish'
      'blue color). It is the circle that circumscribes the'
      'rectangle that circumscribes the ellipse. This is not'
      'a joke: the Gauss curvature of  S  may be expressed'
      'as'
      ''
      '  B.B  +  C.C - H.H   =  H.H - maj^2 - min^2,'
      ''
      'where the dot denotes inner product, and   maj   and'
      'min  are the half major and minor axes of the ellipse.'
      'So, the Gauss curvature is positive when the origin is'
      'outside of the circle, zero when it is on the circle, and'
      'negative when it is inside of it.'
      ''
      'In the upper left of that square panel you will see a gray'
      'horizontal segment with  a number. This number is the'
      'length of that segment at the scale used in the'
      'drawing of the ellipse and other elements. This scale'
      'varies in order to make the best of the room reserved'
      'for those drawings.'
      ''
      'Also, the program draws in red the focal locus in the'
      'normal space. That is, consider the map that sends'
      'de normal bundle  NS  to  R^4  as follows. Let  n  be an'
      'element of  NM . Then  n  belongs to the normal space'
      'to  S  at some point  m  in  S. So, the map sends  n'
      'to the point m + n. The subset of  NM  where the'
      'differential of that map is singular (that is, its ker'
      'is non-zero) is called the focal locus. The subset of'
      'the focal locus in the normal space at a specific point'
      'm  of  S  is a conic, and it is what the program draws.'
      'You may change the scale on which that conic is drawn'
      'by pressing the <up> or <down> keys. This may serve to'
      'make it visible.'
      ''
      ''
      'Now, suppose that in any moment you press the <Control>'
      'key. Then the program does not longer reckons the'
      'mouse movements on the main panel. All data in the data'
      'panel, and the ellipse itself, freeze. In fact almost'
      'everything freezes until you move the mouse on the'
      'ellipse panel. Then you will see a segment that passes'
      'by the origin and by the tip of the'
      'mouse pointer, and two segments, orthogonal to that'
      'one and tangent to the ellipse, that end at the first'
      'segment. The meaning of this is as follows.'
      ''
      'If  n  is a non-zero vector in  N_pS, we may consider'
      'the hyperplane in  R^4  generated by  n  and  T_pS.'
      'If we project orthogonally  S  into that hyperplane'
      'we obtain another surface in a 3-dimensional subspace'
      'that has  n  as normal. Then, the normal curvatures at'
      'p  of the projected surface are comprised by the'
      'orthogonal projection of the ellipse into the line'
      'generated by n. Thus, the maximum and minimum of those'
      'normal curvatures are the ends of the segment into which'
      'the ellipse is projected. This is what those lines'
      'tangent to the ellipse and orthogonal to  n  illustrate.'
      ''
      'At the lower part of the ellipse panel you will see'
      'two numbers, labelled K and H. They are the Gauss'
      'curvature and mean curvature, respectively, of that'
      'projected surface.'
      ''
      'By pressing again the <Control> key, the main panel'
      'becomes enabled again to respond to the mouse.'
      ''
      'By pressing the combination <Ctrl> + <Z>, the program'
      'erases the last curve arc drawn (with the exception of'
      'Coordinate Lines). '
      ''
      ''
      ''
      '5. Orthogonal basis'
      ''
      'On occasion, one has the need to feel the Riemannian'
      'metric induced on  U  by the parametrization f. The'
      'program does this as follows. Keep pressed the'
      '<Shift> key while you click and drag with the mouse'
      'on the main panel. You will see a segment that sticks'
      'to the tip of the mouse pointer and to the first'
      'point that you clicked. On letting the mouse, the'
      'program draws another segment, that, together with'
      'the segment that you did draw, are an orthogonal'
      'oriented basis whose two vectors have same length'
      '(in the induced metric, of course).'
      ''
      ''
      ''
      '6. Menu driven output'
      ''
      'Let us describe the action of the items under the'
      'menu headers "Loci", "Backgrounds" and "Foliations".'
      ''
      'Items in "Loci". Loci are the subsets of the domain  U'
      'where certain functions are zero. We have'
      ''
      'Parabolic Locus         The function "O depth", that'
      '                        says if the origin is  in,'
      '                        on, out  of the ellipse'
      '                        vanishes.'
      ''
      'Semiumbilical locus     Locus where the ellipse'
      '                        becomes a segment: the half'
      '                        minor axis of the ellipse'
      '                        vanishes.'
      ''
      'H || Ellipse Locus      Locus where  H  is parallel to'
      '                        the major axis of the ellipse:'
      '                        the sine of the angle between  H'
      '                        and the major axis vanishes.'
      ''
      'Zero Gauss Curv. Locus  Locus where the Gauss'
      '                        curvature of  S  vanishes.'
      ''
      'Zero discr extremal normal Deviation'
      '                        Locus where the discriminant of the'
      '                        equation of the lines of extremal'
      '                        normal deviation vanishes'
      ''
      'Zero discr extremal lateral Deviation'
      '                        Locus where the discriminant of the'
      '                        equation of the lines of extremal'
      '                        lateral deviation vanishes.'
      ''
      'Zero discr strong principal lines'
      '                        Locus where the discriminant of the'
      '                        equation of strong principal lines'
      '                        vanishes.'
      ''
      'You may erase all of those loci by selecting the'
      'item "Erase these Loci".'
      ''
      ''
      '"Backgrounds". When one selects one of them, the program'
      'draws in a gamma of colors the values of the'
      'corresponding functions:'
      ''
      'Color by Origin in Ellipse   The defining function is'
      '                             "O depth"'
      ''
      'Color by BxC                 The norm of the exterior product'
      '                             of B and C. It vanishes when'
      '                             the ellipse degenerates to a'
      '                             segment.'
      ''
      'Color by angle H-Major Axis  The sinus of the angle between  H'
      '                             and the major axis.'
      ''
      'Color by Gauss Curv.         Gauss curvature of the surface.'
      ''
      'Color by Discr extr norm deviation'
      '                             Discriminant of the equation of the'
      '                             lines of extremal normal deviation.'
      ''
      'Color by Discr extr lat deviation'
      '                             Discriminant of the equation of the'
      
        '                             lines of extremal lateral deviation' +
        '.'
      ''
      'Color by Discr Strong Ppal Lines'
      '                             Discriminant of the equation of'
      '                             strong principal lines.'
      ''
      'The color gamma changes from pink to blue when the'
      'sign of the function changes. The darker the color,'
      'the greater is the absolute value of the function.'
      'Thus, the zeroes are in the lightest regions.'
      ''
      'You may erase the current background by selecting the menu item'
      '"Erase Background".'
      ''
      ''
      'As for the menu "Foliations", we have first "Coordinate'
      'Lines". When it has been selected, by clicking the'
      'mouse on the main panel, the program draws the'
      'coordinate lines passing by that point.'
      ''
      'Then there is a group of six items, each one solving'
      'a binary differential equation on  S.'
      ''
      '"Curvature lines": the vertices of the ellipse are'
      'extremals of the distance with respect to the tip'
      'of the mean curvature vector  H. Those vertices are'
      'the images, by  II_p,  of four directions in  T_pS.'
      'This defines a binary differential equation on  S,'
      'whose integral curves are called curvature lines.'
      'When the menu item "Curvature lines" is currently'
      'selected, on clicking the mouse in the main panel,'
      '"Parametricas4" draws the four such curves that pass'
      'by the point signalled by the mouse.'
      ''
      '"Asymptotic Lines": if  p  is such that the origin of'
      'N_pS lies outside of the ellipse, then there are two'
      'lines by the origin that are tangent to the ellipse.'
      'The points of tangency define two directions in'
      'T_pS, called asymptotic directions. These define a'
      'binary differential equation whose integral curves'
      'are called asymptotic lines. Note that there are'
      'points of  S  without asymptotic lines passing by'
      'them.'
      ''
      '"Mean curvature lines": The straight line by the'
      'origint that is parallel to H cuts the ellipse in'
      'two points, each of them defining a direction in'
      'T_pS, called a "mean curvature direction". These'
      'directions, as in the preceding cases, define a'
      'binary differential equation, whose integral curves'
      'are called meancurvature lines.'
      ''
      '"Principal lines": the inner product of  II  with  H'
      'will give a bilinear form on  T_pS  with real values.'
      'Its eigenvectors, that is the unit vectors, v, such'
      'that   H.II(v,v)  in extremal as a function on the'
      'unit sphere of T_pS, define two directions, that'
      'we call principal directions. They are also the'
      'principal directions of the third fundamental form.'
      'The integral curves of the binary differential'
      'equation defined by principal directions are called'
      'principal lines.'
      ''
      'Extremal normal deviation lines and extremal lateral'
      'deviation lines. Consider a point   p   in   S   and'
      'a unit vector  v   tangent to S at p. The geodesic in'
      'S  that starts from  p  with velocity  v  may separate'
      'from the tangent plane at  p. The directions where'
      'the rate of that separation is extremal are called'
      'directions of extremal normal deviation. The orthogonal'
      'projection of the geodesic on the tangent plane at  p'
      'separates from the straight line in that tangent plane'
      'that passes by the origin vit direction v. The directions'
      'where the rate of that separation is extremal are called'
      'directions of extremal lateral deviation. At each point'
      'there can be two or four such directions. The integral'
      'curves of those direction fields are called lines of'
      'extremal normal (or lateral) deviation. The program'
      'draws those curves in color that may change along the'
      'curve. The goal of this is to tell about the nature of'
      'the direction at each point of the curve: if the color'
      'is red, then the direction of the curve is of maximal'
      'deviation; if green, then is of relative maximum, but not'
      'maximum; if blue, it is of relative minimun but not'
      'minimum; finally, if fuchsia, the direction is of'
      'minimal deviation at that point.'
      ''
      'Strong principal lines. Let   p  be a point in  S.'
      'If a hypersphere has at  p  a contact with  S  of'
      'order greater or equal to 3 along some direction  v'
      'at  p,  that direction is said to be strong principal.'
      'Generically, there are one, three or five strong'
      'principal directions at a point. These are obtained'
      'by solving a polynomial equation of degree five. Its'
      'discriminant is a function that vanishes along the'
      'curves that separate regions on whose points there'
      'are one, three or five strong principal directions.'
      ''
      'You can erase all those lines by selecting the item'
      '"Erase these Lines".'
      ''
      ''
      'At the bottom of the men'#250' "Foliations" there are'
      'two items, "Show Foliation 1", "Show Foliation 2".'
      'Their meaning is the following. The curves from'
      '"Curvature Lines" to "Extrtemal lateral deviation'
      'lines" are solutions of different differential'
      'equations defined each by a binary form of even'
      'degree upon the tangent plane of the surface at'
      'each point. The tangent plane may be looked as'
      'oriented by the parametrization. Thus, let'
      'v  be a unit vector tangent to  S  at  p'
      'that defines one of those directions, so that the'
      'binary form vanishes at v. We say that this'
      'direction belongs to foliation 1 if rotating slightly'
      'that vector  v  in the oriented sense, the binary'
      'form becomes positive; and to foliation 2 if it'
      'becomes negative. Since the binary forms'
      'are of even degree, the foliation where'
      'the direction belongs (one or two) does not depend'
      'on the choice of the vector  v  (or -v) determining the'
      'same direction.  "Parametricas4" will draw only'
      'those curves that belong to the foliations that'
      'are checked in the menu (none, one or two foliations).'
      ''
      ''
      ''
      '7. Items under the menu "File"'
      ''
      ''
      '"Manual"'
      '   Opens this manual.'
      ''
      '"Open..."'
      '   For opening a file created by "Parametricas4";'
      '   those files have extension  pr4'
      ''
      '"Save" and "SaveAs..."'
      '   Only the basic input data are saved. If you need'
      '   to save also some drawings, please e-mail me and'
      '   I willingly shall reconsider this matter. Saving'
      '   a bitmap and curves that usually comprise'
      '   thousands of segments may be expensive in terms'
      '   of disk space.'
      ''
      '"Print..."'
      '   Opens a dialog where you may select the resolution'
      '   of the printed page, its title and caption,'
      '   and whether you want the background to be'
      '   printed.'
      ''
      ''
      ''
      '8. Items under the menu "View"'
      ''
      '"Color Palette". The different Loci are drawn in'
      'predefined color that cannot be changed by the'
      'user. On the contrary, the curves that are'
      'solutions of a differential binary equation'
      '(curves under the menu "Foliations") are drawn'
      'in the same color for all of them, but this'
      'color may be changed by the user at any time'
      'by means of a color picker in the window'
      '"Color Picker" that is brough to front by the'
      'menu item.'
      ''
      'The palette works as follows: if you move the spot'
      'in the color wheel by dragging it with the mouse,'
      'you will see that the meter ar the bottom changes'
      'its hue. Then, by moving the spot in the meter,'
      'you are setting the color on which the succesive'
      'curves will be drawn until you change it again.'
      ''
      ''
      ''
      '9. Thanks'
      ''
      'I would appreciate any bug reports, suggestions of'
      'new features or comments about the program or about'
      'the geometry that is its basement.'
      ''
      'I thank Steven Richard Hollasch for his formula for'
      'the cross product in R^4 that appears in his Thesis,'
      '<http://research.microsoft.com/~hollasch/thesis/default.htm>'
      ''
      ''
      ''
      'Angel Montesinos-Amilibia,'
      'Valencia (Spain),'
      'November 12, 2009'
      ''
      'Other free programs: http://www.uv.es/montesin'
      ''
      'e-mail address: montesin@uv.es'
      ''
      'mail address:'
      ''
      'Angel Montesinos'
      'Facultad de Matem'#225'ticas'
      'Universidad de Valencia'
      'Vicente Andr'#233's Estell'#233's, 1'
      '46100 Burjasot (Valencia)'
      'Spain')
    ParentFont = False
    ReadOnly = True
    ScrollBars = ssBoth
    TabOrder = 0
    WantReturns = False
    WordWrap = False
  end
end
